<html>
<head>
<title>Ogre::NaClGLContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NaClGLContext.html">NaClGLContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NaClGLContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NaClGLContext" --><!-- doxytag: inherits="Ogre::GLES2Context" -->
<p><code>#include &lt;<a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::NaClGLContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1NaClGLContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1NaClGLContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1NaClGLContext_inherit__map" id="Ogre_1_1NaClGLContext_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context." alt="" coords="7,5,153,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1NaClGLContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a68ccefeb14598a84c161c50e2c06d1b3">NaClGLContext</a> (const <a class="el" href="classOgre_1_1NaClWindow.html">NaClWindow</a> *window, const <a class="el" href="classOgre_1_1NaClGLSupport.html">NaClGLSupport</a> *glsupport, pp::Instance *instance, pp::CompletionCallback *swapCallback)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a50420bdc29fb327fec8ca2664f71513c">~NaClGLContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a07381fb6941d84fa01e610f93c3fa8c4">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#a07381fb6941d84fa01e610f93c3fa8c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a3144034e084134315eed495c48a65c51">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a3144034e084134315eed495c48a65c51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a171d1aee2ad9ec018c005c2aeec9258f">clone</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#a171d1aee2ad9ec018c005c2aeec9258f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a995d67c4bbb2a443d85509f35ba50c5f">swapBuffers</a> (bool waitForVSync)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#ac82d88c0b0c30bf44dd1c0cbf797bde9">resize</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a18d82f930258538f256237e57a6d283d">Graphics3DContextLost</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The Graphics3DClient interface - pp::Graphics3DClient_Dev.  <a href="#a18d82f930258538f256237e57a6d283d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a15cc115c6f857dad066218f1225c4283"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">initialized</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1NaClGLSupport.html">NaClGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a600bb6e303c9f82072c6ae1a597ea4b3">mGLSupport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1NaClWindow.html">NaClWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a505b53b626376a2a166458b6cedb4dc1">mWindow</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">pp::Instance *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a28d7dd47081e2ec8ec1f5b14b7516ceb">mInstance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">pp::CompletionCallback *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a574703b63a6ece6299e674262d3f592a">mSwapCallback</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">pp::Graphics3D&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a138a2f0173b47f709df1bb8fb68c1e12">mContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#ad89fe6b1377f78196ab3fcb9f87f45d6">mWidth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NaClGLContext.html#a2635b3aa6a87d69e7130a146912032ee">mHeight</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00037">37</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a68ccefeb14598a84c161c50e2c06d1b3"></a><!-- doxytag: member="Ogre::NaClGLContext::NaClGLContext" ref="a68ccefeb14598a84c161c50e2c06d1b3" args="(const NaClWindow *window, const NaClGLSupport *glsupport, pp::Instance *instance, pp::CompletionCallback *swapCallback)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1NaClGLContext.html#a68ccefeb14598a84c161c50e2c06d1b3">Ogre::NaClGLContext::NaClGLContext</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1NaClWindow.html">NaClWindow</a> *&#160;</td>
          <td class="paramname"><em>window</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1NaClGLSupport.html">NaClGLSupport</a> *&#160;</td>
          <td class="paramname"><em>glsupport</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">pp::Instance *&#160;</td>
          <td class="paramname"><em>instance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">pp::CompletionCallback *&#160;</td>
          <td class="paramname"><em>swapCallback</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a50420bdc29fb327fec8ca2664f71513c"></a><!-- doxytag: member="Ogre::NaClGLContext::~NaClGLContext" ref="a50420bdc29fb327fec8ca2664f71513c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1NaClGLContext.html#a50420bdc29fb327fec8ca2664f71513c">Ogre::NaClGLContext::~NaClGLContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a171d1aee2ad9ec018c005c2aeec9258f"></a><!-- doxytag: member="Ogre::NaClGLContext::clone" ref="a171d1aee2ad9ec018c005c2aeec9258f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2Context.html">GLES2Context</a>* <a class="el" href="classOgre_1_1NaClGLContext.html#a171d1aee2ad9ec018c005c2aeec9258f">Ogre::NaClGLContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a51a9d3eec418eb63ccd740a674bd2afe">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="a3144034e084134315eed495c48a65c51"></a><!-- doxytag: member="Ogre::NaClGLContext::endCurrent" ref="a3144034e084134315eed495c48a65c51" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NaClGLContext.html#a3144034e084134315eed495c48a65c51">Ogre::NaClGLContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#aa17e4083d95a9ddaa4a57d3796266ddb">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="abd71a4bfddbdf111e429e9ff825af985"></a><!-- doxytag: member="Ogre::NaClGLContext::getInitialized" ref="abd71a4bfddbdf111e429e9ff825af985" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">Ogre::GLES2Context::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a18d82f930258538f256237e57a6d283d"></a><!-- doxytag: member="Ogre::NaClGLContext::Graphics3DContextLost" ref="a18d82f930258538f256237e57a6d283d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NaClGLContext.html#a18d82f930258538f256237e57a6d283d">Ogre::NaClGLContext::Graphics3DContextLost</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The Graphics3DClient interface - pp::Graphics3DClient_Dev. </p>

</div>
</div>
<a class="anchor" id="a15cc115c6f857dad066218f1225c4283"></a><!-- doxytag: member="Ogre::NaClGLContext::releaseContext" ref="a15cc115c6f857dad066218f1225c4283" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">Ogre::GLES2Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac82d88c0b0c30bf44dd1c0cbf797bde9"></a><!-- doxytag: member="Ogre::NaClGLContext::resize" ref="ac82d88c0b0c30bf44dd1c0cbf797bde9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NaClGLContext.html#ac82d88c0b0c30bf44dd1c0cbf797bde9">Ogre::NaClGLContext::resize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a07381fb6941d84fa01e610f93c3fa8c4"></a><!-- doxytag: member="Ogre::NaClGLContext::setCurrent" ref="a07381fb6941d84fa01e610f93c3fa8c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1NaClGLContext.html#a07381fb6941d84fa01e610f93c3fa8c4">Ogre::NaClGLContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLES2Context.html#a934c8c93b407843c7bd6f1112730ac5f">Ogre::GLES2Context</a>.</p>

</div>
</div>
<a class="anchor" id="aae3d4471c090572da0ced04cde4b87bf"></a><!-- doxytag: member="Ogre::NaClGLContext::setInitialized" ref="aae3d4471c090572da0ced04cde4b87bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">Ogre::GLES2Context::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a995d67c4bbb2a443d85509f35ba50c5f"></a><!-- doxytag: member="Ogre::NaClGLContext::swapBuffers" ref="a995d67c4bbb2a443d85509f35ba50c5f" args="(bool waitForVSync)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1NaClGLContext.html#a995d67c4bbb2a443d85509f35ba50c5f">Ogre::NaClGLContext::swapBuffers</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>waitForVSync</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="adb1cc0fc703a49897a6401dc264b39fa"></a><!-- doxytag: member="Ogre::NaClGLContext::initialized" ref="adb1cc0fc703a49897a6401dc264b39fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">Ogre::GLES2Context::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00073">73</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a138a2f0173b47f709df1bb8fb68c1e12"></a><!-- doxytag: member="Ogre::NaClGLContext::mContext" ref="a138a2f0173b47f709df1bb8fb68c1e12" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pp::Graphics3D <a class="el" href="classOgre_1_1NaClGLContext.html#a138a2f0173b47f709df1bb8fb68c1e12">Ogre::NaClGLContext::mContext</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00044">44</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a600bb6e303c9f82072c6ae1a597ea4b3"></a><!-- doxytag: member="Ogre::NaClGLContext::mGLSupport" ref="a600bb6e303c9f82072c6ae1a597ea4b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1NaClGLSupport.html">NaClGLSupport</a>* <a class="el" href="classOgre_1_1NaClGLContext.html#a600bb6e303c9f82072c6ae1a597ea4b3">Ogre::NaClGLContext::mGLSupport</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00040">40</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2635b3aa6a87d69e7130a146912032ee"></a><!-- doxytag: member="Ogre::NaClGLContext::mHeight" ref="a2635b3aa6a87d69e7130a146912032ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1NaClGLContext.html#a2635b3aa6a87d69e7130a146912032ee">Ogre::NaClGLContext::mHeight</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00046">46</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a28d7dd47081e2ec8ec1f5b14b7516ceb"></a><!-- doxytag: member="Ogre::NaClGLContext::mInstance" ref="a28d7dd47081e2ec8ec1f5b14b7516ceb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pp::Instance* <a class="el" href="classOgre_1_1NaClGLContext.html#a28d7dd47081e2ec8ec1f5b14b7516ceb">Ogre::NaClGLContext::mInstance</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00042">42</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a574703b63a6ece6299e674262d3f592a"></a><!-- doxytag: member="Ogre::NaClGLContext::mSwapCallback" ref="a574703b63a6ece6299e674262d3f592a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pp::CompletionCallback* <a class="el" href="classOgre_1_1NaClGLContext.html#a574703b63a6ece6299e674262d3f592a">Ogre::NaClGLContext::mSwapCallback</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00043">43</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad89fe6b1377f78196ab3fcb9f87f45d6"></a><!-- doxytag: member="Ogre::NaClGLContext::mWidth" ref="ad89fe6b1377f78196ab3fcb9f87f45d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1NaClGLContext.html#ad89fe6b1377f78196ab3fcb9f87f45d6">Ogre::NaClGLContext::mWidth</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00045">45</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a505b53b626376a2a166458b6cedb4dc1"></a><!-- doxytag: member="Ogre::NaClGLContext::mWindow" ref="a505b53b626376a2a166458b6cedb4dc1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1NaClWindow.html">NaClWindow</a>* <a class="el" href="classOgre_1_1NaClGLContext.html#a505b53b626376a2a166458b6cedb4dc1">Ogre::NaClGLContext::mWindow</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreNaClGLContext_8h_source.html#l00041">41</a> of file <a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreNaClGLContext_8h_source.html">OgreNaClGLContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:27
</p>
</body>
</html>
